<?php

/**
 * Magento
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@magentocommerce.com so we can send you a copy immediately.
 *
 *
 * @category    IyzicoCheckout
 * @package     IyzicoCheckout_IyzicoCheckout
 * @copyright   Copyright (c) 2013 Iyzico  (http://www.iyzico.com/)
 */

/**
 * Iframe Block Class
 *
 * @author Iyzico
 */
class IyzicoCheckout_IyzicoCheckout_Block_Payment_Iframe extends Mage_Core_Block_Template
{

    /**
     * Construct
     */
    public function _construct()
    {
        parent::_construct();
        $this->setTemplate('iyzicocheckout/payment/iframe.phtml');
    }

    /**
     * Retrieve iFrame Url
     *
     * @return string
     */
    public function getIyzicoUrl()
    {
        return Mage::getSingleton('customer/session')->getIframeUrl();
    }

    /**
     * iFrame allowed
     */
    public function doShowIframe()
    {
        return Mage::getSingleton('customer/session')->getIframeFlag();
    }

    /**
     * Token
     */
    public function generateToken()
    {
        return Mage::getSingleton('customer/session')->getToken();
    }
    
    /**
     * Code Snippet
     */
    public function generateCodeSnippet()
    {
        return Mage::getSingleton('customer/session')->getCodeSnippet();
    }

    /**
     * Mode
     */
    public function getIyzicoMode()
    {
        return Mage::getSingleton('customer/session')->getMode();
    }

    /**
     *
     * Display Iyzico Image
     *
     */
    public function getIyzicoImageSrc()
    {
        $imgSrc = $this->getSkinUrl('images/iyzicocheckout/payment.png');
        return $imgSrc;
    }

    public function getShopingCartAmount()
    {
        $quote = Mage::getSingleton('checkout/cart')->getQuote();
        $grandTotal = $quote->getGrandTotal();
        return $grandTotal;
    }

    public function getInstIyzicoImageSrc()
    {
        $imgSrc = $this->getSkinUrl('images/iyzicocheckout/');
        return $imgSrc;
    }

}
