<?php

/**
 * Magento
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@magentocommerce.com so we can send you a copy immediately.
 *
 *
 * @category    Iyzico
 * @package     IyzicoCheckout_IyzicoCheckout
 * @copyright   Copyright (c) 2013 Iyzico  (http://www.iyzico.com/)
 */

/**
 * Creditcard payment model
 *
 * @author Iyzico 
 */
class IyzicoCheckout_IyzicoCheckout_Model_Method_Creditcard extends IyzicoCheckout_IyzicoCheckout_Model_Method_Abstract
{

    /**
     * Magento method code
     *
     * @var string
     */
    protected $_code = 'iyzicocheckout_creditcard';

    /**
     * Method code for iyzico call
     *
     * @var string
     */
    protected $_methodCode = 'CC';

    /**
     * Payment Title
     *
     * @var type
     */
    protected $_methodTitle = 'Credit Card';
    protected $_formBlockType = 'iyzicocheckout/payment_form';

    /**
     * Retrieve IYZICO subtype
     *
     * @return string
     */
    public function getSubtype()
    {
        return Mage::getStoreConfig('payment/' . $this->getCode() . '/creditcard', $this->getOrder()->getStoreId());
    }

    public function getIyzicoTransactionCode()
    {
        if (Mage::app()->getStore()->isAdmin()) {
            return 'CP';
        }
        return Mage::getStoreConfig('payment/' . $this->getCode() . '/transaction_mode', $this->getOrder()->getStoreId());
    }

    /**
     * Retrieve IYZICO payment code
     *
     * @return string
     */
    public function getPaymentCode()
    {
        return $this->_methodCode . "." . $this->getIyzicoTransactionCode();
    }

}
