<?php

/**
 * Magento
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@magentocommerce.com so we can send you a copy immediately.
 *
 *
 * @category    IyzicoCheckout
 * @package     IyzicoCheckout_IyzicoCheckout
 * @copyright   Copyright (c) 2013 Iyzico  (http://www.iyzico.com/)
 */

/**
 * Order success observer
 *
 * @author Iyzico 
 */
class IyzicoCheckout_IyzicoCheckout_Model_Success_Observer
{

    /**
     * Reactivate the cart because the order isn't finished
     * 
     * @param Varien_Event_Observer $observer 
     */
    public function activateQuote(Varien_Event_Observer $observer)
    {
        $paymentMethod = Mage::getSingleton('checkout/session')->getQuote()->getPayment()->getMethodInstance()->getCode();
        if ($paymentMethod == 'iyzicocheckout_creditcard') {
            $observer->getEvent()->getQuote()->setIsActive(true)->save();
        } else {
            return;
        }
    }

}
